Package org.lwjgl.opengl

# Class NVExplicitMultisample

java.lang.Object
org.lwjgl.opengl.NVExplicitMultisample

public final class NVExplicitMultisample extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_INT_SAMPLER_RENDERBUFFER_NV`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_MAX_SAMPLE_MASK_WORDS_NV`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static final int`
`GL_SAMPLE_MASK_NV`
Accepted by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_SAMPLE_MASK_VALUE_NV`
Accepted by the <pname> parameter of GetBooleanIndexedvEXT and GetIntegerIndexedvEXT:
`static final int`
`GL_SAMPLE_POSITION_NV`
Accepted by the <pname> parameter of GetMultisamplefvNV:
`static final int`
`GL_SAMPLER_RENDERBUFFER_NV`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_TEXTURE_BINDING_RENDERBUFFER_NV`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static final int`
`GL_TEXTURE_RENDERBUFFER_DATA_STORE_BINDING_NV`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static final int`
`GL_TEXTURE_RENDERBUFFER_NV`
Accepted by the <target> parameter of BindTexture, and TexRenderbufferNV:
`static final int`
`GL_UNSIGNED_INT_SAMPLER_RENDERBUFFER_NV`
Returned by the <type> parameter of GetActiveUniform:

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`glGetBooleanIndexedEXT(int pname, int index)`
Overloads glGetBooleanIndexedvEXT.
`static void`
`glGetBooleanIndexedEXT(int pname, int index, ByteBuffer data)`
`static int`
`glGetIntegerIndexedEXT(int pname, int index)`
Overloads glGetIntegerIndexedvEXT.
`static void`
`glGetIntegerIndexedEXT(int pname, int index, IntBuffer data)`
`static void`
`glGetMultisampleNV(int pname, int index, FloatBuffer val)`
`static void`
`glSampleMaskIndexedNV(int index, int mask)`
`static void`
`glTexRenderbufferNV(int target, int renderbuffer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_SAMPLE_POSITION_NV

public static final int GL_SAMPLE_POSITION_NV
Accepted by the <pname> parameter of GetMultisamplefvNV:

See Also:
  - Constant Field Values

### GL_SAMPLE_MASK_NV

public static final int GL_SAMPLE_MASK_NV
Accepted by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_SAMPLE_MASK_VALUE_NV

public static final int GL_SAMPLE_MASK_VALUE_NV
Accepted by the <pname> parameter of GetBooleanIndexedvEXT and GetIntegerIndexedvEXT:

See Also:
  - Constant Field Values

### GL_TEXTURE_BINDING_RENDERBUFFER_NV

public static final int GL_TEXTURE_BINDING_RENDERBUFFER_NV
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_TEXTURE_RENDERBUFFER_DATA_STORE_BINDING_NV

public static final int GL_TEXTURE_RENDERBUFFER_DATA_STORE_BINDING_NV
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_MAX_SAMPLE_MASK_WORDS_NV

public static final int GL_MAX_SAMPLE_MASK_WORDS_NV
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_TEXTURE_RENDERBUFFER_NV

public static final int GL_TEXTURE_RENDERBUFFER_NV
Accepted by the <target> parameter of BindTexture, and TexRenderbufferNV:

See Also:
  - Constant Field Values

### GL_SAMPLER_RENDERBUFFER_NV

public static final int GL_SAMPLER_RENDERBUFFER_NV
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_SAMPLER_RENDERBUFFER_NV

public static final int GL_INT_SAMPLER_RENDERBUFFER_NV
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_RENDERBUFFER_NV

public static final int GL_UNSIGNED_INT_SAMPLER_RENDERBUFFER_NV
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

## Method Details

### glGetBooleanIndexedEXT

public static void glGetBooleanIndexedEXT(int pname, int index, ByteBuffer data)

### glGetBooleanIndexedEXT

public static boolean glGetBooleanIndexedEXT(int pname, int index)
Overloads glGetBooleanIndexedvEXT.

### glGetIntegerIndexedEXT

public static void glGetIntegerIndexedEXT(int pname, int index, IntBuffer data)

### glGetIntegerIndexedEXT

public static int glGetIntegerIndexedEXT(int pname, int index)
Overloads glGetIntegerIndexedvEXT.

### glGetMultisampleNV

public static void glGetMultisampleNV(int pname, int index, FloatBuffer val)

### glSampleMaskIndexedNV

public static void glSampleMaskIndexedNV(int index, int mask)

### glTexRenderbufferNV

public static void glTexRenderbufferNV(int target, int renderbuffer)